%readrabmc3m.m reads raw sbe microcat KAUST data
% RL 5/19/09   rabigh dock apr-oct 2008
clear;

%Rab 5668 Clock check ok
depth=8;latitude=22+44.076/60;longitude=38+59.654/60;
instdepth=3; SN='SBE 37 - 5668'; mooring='Rab';
sample=5;%sampling interval in minutes

perl fixmcat.plx mc5668_oct09_rab.asc
load 'fixed.dat';z=fixed;!del fixed.dat
jday=julian([z(:,5) z(:,4) z(:,3) z(:,6) z(:,7) 0*z(:,8)]);
temp=z(:,1);cond=10*z(:,2); clear z

%Calibration
% T residual=-.001; C residual = -.006  Apr 2002
% cond=sbecalib(cond,-0.006);temp=sbecalib(temp,-.001);

%Truncate so only data in water
    st=julian([2009  4 27 08 00 00]);%Rabigh deploy3
    et=julian([2009  10 13 9 45 00]);%Rabigh deploy3

n=find(jday<st);jday(n)=[];temp(n,:)=[];cond(n,:)=[];
n=find(jday>et);jday(n)=[];temp(n,:)=[];cond(n,:)=[];

cndr = cond/sw_c3515;t68=1.00024*temp;
salt = sw_salt(cndr,t68,sw_pres(instdepth,latitude));

clf;subplot(2,1,1)
set(gca,'fonts',12)
plot(jday,temp)
set(gca,'fontw','bold')
gregaxd(jday,31);grid
ylabel('Temp ^oC')
h=title('Rabigh Mcat 300s');set(h,'fonts',14,'fontw','bold')

subplot(2,1,2)
%n=find(salt<34.0);sal(n)=nan;
set(gca,'fonts',12)
plot(jday,salt)
set(gca,'fontw','bold')

gregaxd(jday,31);grid
ylabel('Salinity psu')

figure(gcf)
%wysiwyg

save rab3mc3m300s jday temp cond  salt SN depth latitude longitude instdepth
print -djpeg99 Rabigh_Mcat_300sec