%readthumc3m.m reads raw sbe microcat KAUST data Thuwal
% RL 10/15/9   Thuwal dock apr-oct 2009
clear;

%thu 5667 Clock check ok
depth=4;
latitude=22+(20+(51.9/60))/60;longitude=39+(5+(20.2/60))/60;
instdepth=3; SN='SBE 37 - 5667'; mooring='thu';
sample=5;%sampling interval in minutes

perl fixmcat.plx mc5667_oct09_thu.asc
load 'fixed.dat';z=fixed;!del fixed.dat
jday=julian([z(:,5) z(:,4) z(:,3) z(:,6) z(:,7) 0*z(:,8)]);
temp=z(:,1);cond=10*z(:,2); clear z

%Calibration
% T residual=-.001; C residual = -.006  Apr 2002
% cond=sbecalib(cond,-0.006);temp=sbecalib(temp,-.001);

%Truncate so only data in water
    st=julian([2009  4 27  10 15 00]); % Thuwal deploy Oct 2008
    et=julian([2009  10 12  6 55 00]); % Thuwal recover Apr 2009 
n=find(jday<st);jday(n)=[];temp(n,:)=[];cond(n,:)=[];
n=find(jday>et);jday(n)=[];temp(n,:)=[];cond(n,:)=[];

cndr = cond/sw_c3515;t68=1.00024*temp;
salt = sw_salt(cndr,t68,sw_pres(instdepth,latitude));

clf;subplot(2,1,1)
set(gca,'fonts',12)
plot(jday,temp)
set(gca,'fontw','bold')
gregaxd(jday,31);grid
ylabel('Temp ^oC')
h=title('Thuwal Mcat 300s');set(h,'fonts',14,'fontw','bold')

subplot(2,1,2) 
n=find(salt<38.0);%salt(n)=salt(n)+2;
set(gca,'fonts',12)
plot(jday,salt)
set(gca,'fontw','bold')

gregaxd(jday,31);grid
ylabel('Salinity psu')

figure(gcf)
%wysiwyg

save thu3mc3m300s jday temp cond  salt SN depth latitude longitude instdepth
print -djpeg99 Thuwal_mcat_300sec